Get a database's comment summaries
Lists, for each form of the database that the user can see and that has comment threads, the number of threads, of open threads, and of threads with activity the user has not seen. Only threads on records and fields the user can see are counted. Threads on the records of a subform count towards the form the subform belongs to. Fails with 404 NOT_FOUND if the database does not exist or the user may not see it.
Request
GET https://www.activityinfo.org/resources/databases/{databaseId}/comments
Successful response
application/json
| array[object] | |||
| formId | string | The id of the form. | required |
| threadCount | integer | The number of threads on the form's records, open and resolved, including those on the records of its subforms. | required |
| openThreadCount | integer | The number of unresolved threads on the form's records, including those on the records of its subforms. | required |
| unreadCount | integer | The number of the form's threads with activity the user has not yet seen, including those on the records of its subforms. | required |
Error responses
| Status Code | Error Code | Description |
|---|---|---|
| 401 | AUTHENTICATION_ |
The request must be authenticated |
Example
curl -u anything:YOUR_API_TOKEN \
https://www.activityinfo.org/resources/databases/ck8oykh8m5/comments